main {
    display: block;
    overflow: auto;
}

.invoice-container {
    max-width: clamp(1000px, 100vw, 1440px);
    margin-inline: auto;
    padding: 2rem clamp(1rem, 3vw, 2rem);
    display: flex;
    gap: clamp(1rem, 2vw, 2rem);
    justify-content: center;
    /* no empty right strip */
    align-items: flex-start;

}

/* navbar details */

#navbar {
  display: flex;
  flex-direction: column;
  background-color: var(--card-selection);
  border-bottom: 1px solid var(--border-lines);
  padding-left: 20px;
  padding-right: 20px;
}

#navbar li {
  display: flex;
  align-items: center;
}

#navbar ul {
  list-style: none;
  display: flex;
  gap: 20px;
}

#navbar .alwaysVisible {
  margin-right: auto;
}

#navbar a {
  display: flex;
  text-decoration: none;
  color: var(--text-colour);
}

#navbar a:hover {
    color: var(--primary-hover);
}

.site-footer {
  margin-top: auto;
}

#open-sidebar-button {
    display: none;
    background: none;
    border: none;
    padding: 1em;
    margin-left: auto;
    cursor: pointer;
}

#close-sidebar-button {
    display: none;
    background: none;
    border: none;
    padding: 1em;
    cursor: pointer;
}

#toggle-menu-button {
    display: none;
    /* default = hidden on desktop */
    background: none;
    border: none;
    cursor: pointer;
    padding: 1em;
    align-items: center;
}


.mobile-only {
    display: none;
}

/* Hide the label everywhere by default */
.mode-label {
    display: none;
    font-size: .95rem;
    color: var(--text-colour);
    cursor: pointer;
    user-select: none;
}

@media screen and (max-width: 900px) {
  #navbar {
    position: relative;
    padding: 0 20px;
  }

  #navbar ul {
    flex-direction: column;
    align-items: flex-start;
    padding-left: 0;
    gap: 0;
  }

  #navbar ul li {
    display: none;
    width: 100%;
  }

  #navbar ul li.alwaysVisible {
    display: flex;
    justify-content: space-between;
    width: 100%;
  }

  #navbar.show ul li {
    display: flex;
    width: 100%;
    padding: 0.8em 0;
  }

  #navbar.show ul li a {
    width: 100%;
    font-size: 1.4rem;
  }

  #toggle-menu-button {
    display: flex;
    margin-left: auto;
  }

  #navbar .themeToggle-li,
  #navbar .mode-label {
    display: none !important;
  }

  #navbar.show .themeToggle-li {
    display: flex !important;
    align-items: center;
    gap: 0.8rem;
  }

  #navbar.show .mode-label {
    display: inline-block !important;
    font-size: 1.4rem;
  }
}

/* Checkbox */

@media (max-width: 1200px) {
    .invoice-adSpace {
        display: none;
    }

    .invoice-sidebar {
        width: 100%;
    }

}